Taxes done? Awesome! Take a tax break – everything’s 15% off!
Version 2.1.1 released.

This is primarily a release targeted at tracking down some nagging problems; but it includes the ability to disable error messages for those suffering from errors even when the plugin is correctly shortening and posting your status updates.

2.0.0

  • Fixed bug introduced in WordPress 2.9 where logged in users could only edit their own profiles and associated issues.
  • Fixed bug which caused #url# to repeatedly be added to the end of tweet texts on reactivation or upgrade.
  • Fixed bug which generated shortener API error messages when no URL shortener was used.
  • Fixed bug which prevented display of URL on edit screen if no URL shortener was used.
  • Added Spanish translation courtesy of David Gil Pérez
  • Made so many language changes that aforementioned translation is now terribly out of date, as are all others…
  • Added ability to restrict posting to certain categories.
  • Added option to dynamically generate Google Analytics campaign identifier by category, post title, author, or post id.
  • Added option to configure plugin to use other services using the Twitter-compatible API.
  • Added support for YOURLS installations as your URL shortener. (Either local or remote.)
  • Redesigned administrative interface.
  • Removed use of Snoopy and alternate HTTP request methods.
  • Discontinued support for WordPress versions below version 2.7.
  • Major revisions to support checks.
  • Version jumped to 2.0.0